# Class MariaDbThreadFactory

java.lang.Object
org.mariadb.jdbc.internal.util.scheduler.MariaDbThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

public class MariaDbThreadFactory extends Object implements ThreadFactory

## Constructor Summary

Constructors
Constructor
Description
`MariaDbThreadFactory(String threadName)`

## Method Summary

Modifier and Type
Method
Description
`Thread`
`newThread(Runnable runnable)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MariaDbThreadFactory

public MariaDbThreadFactory(String threadName)

## Method Details

### newThread

public Thread newThread(Runnable runnable)

Specified by:
  `newThread` in interface `ThreadFactory`